Portupgrade php5 5.2.8 to 5.2.9 problems

emmi

New Member

Reaction score: 1
Messages: 4

Hello, I just updated my ports collection with cvsup and when updating php5 to 5.2.9 I get a few failures.

I have looked at the reference 20081211 in /usr/ports/UPDATING and followed the instructions there but no luck.

It seems the update if failing when it tries to build php5-filter and php5-spl-5.2.9.

As far as I can see php5-pcre is not installed according to pkg_version.

Here is the complete log for the errors.

http://pastebin.com/m477294c2

Thanks. :)
 
OP
E

emmi

New Member

Reaction score: 1
Messages: 4

I think its fixed, I installed php5-pcre and it works now. This is very strange since the UPDATING file tells you to delete php5-pcre?

After I did this I saw this in logs:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20060613/pcre.so' - /usr/local/lib/php/20060613/pcre.so: Undefined symbol "php_pcre_free" in Unknown on line 0

Then I went back to /usr/ports/devel/php5-pcre and rebuilt the package and selecting 'bundled pcre' which solves the problem.

Hopefully this will help other with the same problem. :)
 

chavez243ca

Active Member

Reaction score: 3
Messages: 150

php5 and pcre

ever since upgrading from 5.2.8 to 5.2.9 PHP seems half-broken. Output from phpinfo() looks good, but several PHP driven apps no longer function properly (cacti, wordpress, SMF) the apache error log contains many entries regarding pcre - many of which are "Call to undefined function preg_repace() or preg_match()"

i followed the instructions in /usr/ports/UPDATING for the 5.2.8 upgrade, everything seemed fine until 5.2.9

At this point I have even deinstalled all php5/* ports and reinstalled php5 from scratch. Plus php5-extensions.

pkgdb -F complains about two stale dependencies WRT openx, but not these other apps.

Ideas?
 

DutchDaemon

Administrator
Staff member
Administrator
Moderator
Developer

Reaction score: 2,937
Messages: 11,343

(threads merged)

Is the suggestion in the previous post of use?
 

chavez243ca

Active Member

Reaction score: 3
Messages: 150

php5-pcre-5.2.9 is installed via php5-extensions metaport and pcre section is included in phpinfo() output.

PCRE (Perl Compatible Regular Expressions) Support enabled
PCRE Library Version 3.9 02-Jan-2002

Directive Local Value Master Value
pcre.backtrack_limit 100000 100000
pcre.recursion_limit 100000 100000


It also seems a bit odd that after the whole "PCRE is now included" thing, that you still have to install the pcre extension...
 

chavez243ca

Active Member

Reaction score: 3
Messages: 150

awesome - that seems to be the trick!

gotta love the BSD community - thanks guys.
 
Top